
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "map.h"
#include "traffic.h"
#include "population.h"

#define MAX_ROUTE_LEN 100

typedef struct route_s {
    int x[MAX_ROUTE_LEN];
    int y[MAX_ROUTE_LEN];
    int len;
} route_t;

static void
find_route(map_t *map, int startx, int starty, 
	   int endx, int endy, route_t *route)
{
    
}

static void
traffic_person(person_t *person)
{
    
}


extern void
traffic_calculate(void)
{
    /*
     * iterate over subset of the population
     */
}
